lkml.org 
[lkml]   [2005]   [Mar]   [28]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
From
SubjectRe: upgrading modutils may have fixed: unresolved symbols still in 2.4.30-rc2 (usbserial needs symbol tty_ldisc_ref and tty_ldisc_deref which are EXPORT_SYMBOL_GPL)
Date
On Mon, 28 Mar 2005 06:20:01 +0200, 
Willy Tarreau <willy@w.ods.org> wrote:
>I believe it's because of genksyms during the build process, I had the
>exact same problem a few weeks ago on a machine with old modutils. So
>you should have cleaned everything and rebuilt from scratch after
>installing your new modutils. BTW, the required modutils in
>Documentation/Changes is still marked as 2.4.10, I hope it is still
>enough.

You need modutils >= 2.4.14 to use the combination of
CONFIG_MODVERSIONS with EXPORT_SYMBOL_GPL() on 2.4 kernels.

-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at http://vger.kernel.org/majordomo-info.html
Please read the FAQ at http://www.tux.org/lkml/

\
 
 \ /
  Last update: 2005-04-06 13:31    [W:0.041 / U:3.352 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site